-- name: [CS] The Shitilizer
-- description: Play as the troll who tricks Mario and Friends into freedom from Super Mario 64: The Underworld, this time, not replacing Waluigi!\n\n Links for SM64 Underworld and Squishy's Char Select:\n     https://github.com/Squishy6094/character-select-coop\n https://github.com/Agent-11/agent-ex-coop-mods/blob/main/mods/underworld/underworld.zip?raw=true\n\n You'll need char select for it to work!

local E_MODEL_THESHITILIZER = smlua_model_util_get_id("theshitilizer_geo")
local E_MODEL_SOULSTARCHARSEL = smlua_model_util_get_id("soul_star_charselect_geo")

local TEX_THESHITILIZER = get_texture_info("shitilizer_icon")
local TEX_SOULSTARCHARSEL = get_texture_info("underworld_star")

VOICETABLE_THESHITILIZER = {nil}

local TEXT_MOD_NAME = "The Shitilizer"

if _G.charSelectExists then
    _G.CT_SHITILIZER = _G.charSelect.character_add("The Shitilizer", "Once a wisecracking, cunning troll who used the Noise to his advantage, now patiently longing Freedom from the Underworld.", "Agent X", {r = 94, g = 245, b = 245}, E_MODEL_THESHITILIZER, CT_WALUIGI, TEX_THESHITILIZER)

    _G.charSelect.character_add_celebration_star(E_MODEL_THESHITILIZER, E_MODEL_SOULSTARCHARSEL, TEX_SOULSTARCHARSEL)

    _G.charSelect.character_add_voice(E_MODEL_THESHITILIZER, VOICETABLE_THESHITILIZER)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_THESHITILIZER then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_THESHITILIZER then return _G.charSelect.voice.snore(m) end
    end)

else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end